package com.sqx.modules.pay.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付渠道枚举
 *
 * @author : codingliang
 * @date : 2024-11-05 22:43
 */
@Getter
@AllArgsConstructor
public enum PayChannelEnum {

    WECHAT_APP(1, "微信app支付"),
    WECHAT_NATIVE(2, "微信二维码支付"),
    WECHAT_JS_API(3, "微信小程序、微信公众号支付"),
    ALIPAY_APP(4, "支付宝app支付"),
    ALIPAY_H5(5, "支付宝h5支付");

    private int code;
    private String methodName;
}
